%define plugindir %{_libdir}/esmtp-plugins

Summary: SMTP client library.
Name:     	libesmtp
Version:  	0.8.4
Release:  	2
Copyright:	LGPL
Group: System Environment/Libraries
Source:  	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:       	http://www.stafford.uklinux.net/libesmtp/
Patch:		libesmtp-0.8.4-base64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	openssl-devel

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package devel
Summary: Headers and development libraries for libESMTP.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 
%setup
%patch -p1

%build
%configure --with-auth-plugin-dir=%{plugindir} --enable-pthreads \
  --enable-require-all-recipients --enable-debug \
  --enable-etrn
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL NEWS Notes README
%{_libdir}/libesmtp.so.*
%{plugindir}

%files devel
%defattr(-,root,root)
%{_prefix}/include/*
%{_libdir}/libesmtp.so
%{_libdir}/libesmtp.a

%changelog
* Thu Aug 30 2001 Bill Nottingham <notting@redhat.com>
- fix assertion failure when sending mail (#52940)

* Mon Aug 20 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.4 (fixes CRAM-MD5, #52097)

* Mon Jul 30 2001 Bill Nottingham <notting@redhat.com>
- don't enable starttls (not fully tested, at request of author)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild, openssl weirdness

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- initial build, clean up included spec file
- add %post/%postun
